import psutil
from django.views.generic import TemplateView
from django.http import JsonResponse
class IndexView(TemplateView):
    template_name = 'index.html'

    def get_context_data(self, **kwargs):
        # 親クラスの get_context_data を呼び出す
        context = super().get_context_data(**kwargs)

        # CPU 使用率の取得
        context['cpu_usage'] = psutil.cpu_percent(interval=1)

        # ディスク使用率と容量の取得
        disk = psutil.disk_usage('/')
        context['disk_usage'] = disk.percent
        context['disk_total'] = disk.total
        context['disk_used'] = disk.used

        # メモリ使用率と容量の取得
        mem = psutil.virtual_memory()
        context['memory_usage'] = mem.percent
        context['memory_total'] = mem.total
        context['memory_used'] = mem.used

        return context

def get_cpu_usage(request):
    cpu_usage = psutil.cpu_percent(interval=1)
    return JsonResponse({'cpu_usage': cpu_usage})